Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class TabbedPaneUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TabbedPaneUI

Direct Known Subclasses:
  BasicTabbedPaneUI, MultiTabbedPaneUI

public abstract class TabbedPaneUI
extends ComponentUI

Pluggable look and feel interface for JTabbedPane.

Constructor Summary
`TabbedPaneUI()`

Method Summary
`abstract Rectangle` | `getTabBounds(JTabbedPane pane, int index)`
`abstract int` | `getTabRunCount(JTabbedPane pane)`
`abstract int` | `tabForCoordinate(JTabbedPane pane, int x, int y)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabbedPaneUI

    public TabbedPaneUI()

Method Detail

### tabForCoordinate

    public abstract int tabForCoordinate(JTabbedPane pane,
                                         int x,
                                         int y)

### getTabBounds

    public abstract Rectangle getTabBounds(JTabbedPane pane,
                                           int index)

### getTabRunCount

    public abstract int getTabRunCount(JTabbedPane pane)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.